' *************************************************************************
'					(C) Copyright OMRON CORPORATION 2011
'							All Rights Reserved
' ---------------------------------------------------------------------------
'					Application Producer for FJ series
' *************************************************************************
' Filename    : VB_DisplayBarChart_settng.vb
' Description : Template source for MDI Child Window setting form
' *************************************************************************
Public Class VB_DisplayBarChart_setting

    '**********************************************************************
    ' title         : Save the MDI window setting data
    ' function name : SaveSettingData
    ' parameters    : none
    ' return value  : exit status
    '					  True  : successful
    '					  False : failed
    ' description   :
    '       This function is called when "OK" button is pressed.
    '       In this function, the data set by this dialog should be
    '       transformed into string data,
    '       and set to Me.SettingData property.
    '**********************************************************************

    Protected Overrides Function SaveSettingData() As Boolean
        Dim dataSet As New VB_DisplayBarChart.DataDef

        ' *****************************************************************
        ' Set setting data to dataSet object.
        ' *****************************************************************

        dataSet.unitNo = ucbSelectUnit.ItemNo

        Try
            Me.SettingData = VB_DisplayBarChart.ObjToString(dataSet)
        Catch ex As Exception
            Return False
        End Try

        Return True
    End Function

    '**********************************************************************
    ' title         : Load the MDI window setting data
    ' function name : LoadSettingData
    ' parameters    : none
    ' description   :
    '       This subroutine is called when this form is loaded.
    '       In subroutine, the setting data is acquired from Me.SettingData
    '       as string. It is necessary to extract all data from this string
    '       and set them to each properties of controls.
    '**********************************************************************

    Protected Overrides Sub LoadSettingData()
        Dim dataSet As VB_DisplayBarChart.DataDef = VB_DisplayBarChart.StringToObj(Me.SettingData)

        ' *****************************************************************
        ' Apply setting data to each controls.
        ' *****************************************************************

        ucbSelectUnit.ItemNo = dataSet.unitNo

    End Sub

    '**********************************************************************
    ' title         : Load the MDI window message string data
    ' function name : SetMessageText
    ' parameters    : none
    ' description   :
    '       This subroutine is called when this form is loaded.
    '       In this subroutine, the message text strings are aquired
    '       and applied to controls.
    '**********************************************************************

    Protected Overrides Sub SetMessageText()
        MyBase.SetMessageText()
        OpenTextData("VB_DisplayBarChart")

        ' *****************************************************************
        ' Set message text.
        ' *****************************************************************
        Me.Text = GetText("SettingFormTitle")
        ' Code example :
        ' Label1.Text = GetText("MessageTitle")

    End Sub
End Class